import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { FormGroup, FormArray, FormControl } from '@angular/forms';
import { RolloutLimitations, SettingType } from '../../_models';
import { FormHelper } from '../../_services/form-helper';
export declare class SettingValueComponent implements OnInit {
    private formHelper;
    private cdRef;
    formGroup: FormGroup;
    readOnly: boolean;
    canEditSetting: boolean;
    canDeleteSetting: boolean;
    rolloutLimitations: RolloutLimitations;
    showVariationId: boolean;
    deleteSettingText: string;
    showIntegrationLinks: boolean;
    showEnvironmentName: boolean;
    subscriptionLimitReached: EventEmitter<any>;
    editSettingRequested: EventEmitter<any>;
    deleteSettingRequested: EventEmitter<any>;
    areAllRulesVisible: boolean;
    rulesBeingRendered: boolean;
    SettingType: {
        Boolean: SettingType;
        String: SettingType;
        Int: SettingType;
        Double: SettingType;
    };
    constructor(formHelper: FormHelper, cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    allRolloutRulesCount(): any;
    environment(): any;
    setting(): any;
    integrationLinks(): FormArray;
    rolloutRules(): FormArray;
    rolloutPercentageItems(): FormArray;
    value(): FormControl;
    addRolloutRule(): void;
    removeRolloutRules(): void;
    addRolloutPercentageItem(): void;
    removeRolloutPercentageItems(): void;
    editSetting(): void;
    deleteSetting(): void;
    showAllRules(): void;
}
