import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { SettingValuesModel, UpdateSettingValuesModel } from '../_models';
import { FormArray, FormGroup } from '@angular/forms';
import { FormHelper } from '../_services/form-helper';
import { Observable, Subscription } from 'rxjs';
import { MatSnackBar } from '@angular/material/snack-bar';
import { MatDialog } from '@angular/material/dialog';
export declare class SettingValuesComponent implements OnInit, OnDestroy {
    private formHelper;
    private snackBar;
    private dialog;
    canEditSetting: boolean;
    canDeleteSetting: boolean;
    showVariationId: boolean;
    onSave: (value: UpdateSettingValuesModel) => Observable<SettingValuesModel>;
    loadSettingValues: () => Observable<SettingValuesModel>;
    deleteSettingText: string;
    showIntegrationLinks: boolean;
    showEnvironmentName: boolean;
    subscriptionLimitReached: EventEmitter<any>;
    formStatusChanged: EventEmitter<any>;
    editSettingRequested: EventEmitter<any>;
    deleteSettingRequested: EventEmitter<any>;
    formValuesChanged: EventEmitter<any>;
    loading: boolean;
    settingValues: SettingValuesModel;
    formGroup: FormGroup;
    submitting: boolean;
    showRevertQuestion: boolean;
    showFeedBackMessage: boolean;
    readOnly: boolean;
    valueChangesSubscription: Subscription;
    constructor(formHelper: FormHelper, snackBar: MatSnackBar, dialog: MatDialog);
    ngOnInit(): void;
    ngOnDestroy(): void;
    reloadSettingValues(): void;
    createFormGroup(): void;
    settingValuesFormArray(): FormArray;
    onSubscriptionLimitReached(): void;
    submit(): void;
    updateSettingValues(updateSettingValuesModel: any): void;
    handleRevertYes(): void;
    handleRevertCancel(): void;
    onEditSettingRequested(setting: any): void;
    onDeleteSettingRequested(setting: any): void;
}
